# Lisp MMO Project Implementation

The interesting thing about lisp is that for being the 2nd oldest language, it has some of the most flavors of any programming language.

Lisp is much easier to implement from a compiler/interpreter point of view due to its structure, so it makes sense that it has so many implementations.

Note for lfarm, for real world please use their Kerberos/GSSAPI implementation instead of my simple password implementation. Its going to be infinitely better.

[lisp-µhttpd (game website & webserver) ](./www/README.md)

http://8arrow.org/caveman/
https://github.com/fukamachi/datafly
https://github.com/fukamachi/sxql
https://github.com/dnaeon/cl-bcrypt

[lisp-mmo-server (game backend) using picolisp](./server/README.md)

https://github.com/lmj/lfarm
https://github.com/fukamachi/datafly
https://github.com/fukamachi/sxql
https://github.com/dnaeon/cl-bcrypt

[lisp-mmo-client (game frontend / UI) using common lisp](./client/README.md)

https://github.com/raysan5/raylib
https://github.com/defun-games/claylib
https://github.com/lmj/lfarm
https://github.com/dnaeon/cl-bcrypt
